Subject: [bug#38815] guix-patches@ recorded as commit author (was: sassc: Update to 3.6.1.)

From: Efraim Flashner <[email-masked]>
Date: Thu, 9 Jan 2020 21:54:34 +0200

On Wed, Jan 08, 2020 at 05:50:15PM +0100, Tobias Geerinckx-Rice via Guix-patches via wrote:
> Riku, Efraim, Guix,
> 
> I noticed that this commit and the preceding libsass update have an
> incorrect author e-mail addres:
> 
>  commit fc4eb87dc45b169e3912c73bbf60cb8ce76b7c7c
>  Author: Riku Viitanen via Guix-patches via  <[email-masked]>
> 
> The actual patch posted to guix-patches[0] has two correct From: lines.
> 
> Does anyone know what happened here?  And how it could be avoided? Is the
> Web interface hiding anything strange about these messages?

I caught one another time but this time they slipped through. I normally
patch the pipe directly from mutt to 'cd workspace/guix; git am -S -s'.

> 
> Would a git hook to catch suspect addresses be a good idea?
> 

Probably couldn't hurt.

> Kind regards,
> 
> T G-R
> 
> [0]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38815

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted